#!/usr/local/bin/perl
#
$usg = "mmls:	Display cached directory. A libmm sample program.
Usage:	mmls <wwfs-directories...>
";
#
# If WW is the right side, MM is the dark side.
# Author: Youki Kadobayashi <youki@wide.ad.jp>
# This file is part of WWFS.
#

require '/etc/csd.pl';
unshift(@INC, "$WWFSDIR/lib");
require 'libmm.pl';

if ($#ARGV < $[) {
    die $usg;
}

foreach $path (@ARGV) {
  &mm'opendir(*DIR, $path) || die $!;

  @files = &mm'readdir(*DIR);
  print join("\t", @files), "\n";

  &mm'closedir(*DIR);
}

