#!/bin/sh
#
# crontab-add.sh -- add crontab for expire.
# This file is part of WWFS.
#
if [ -f /usr/lib/crontab.local ]; then
	# for SONY NEWS-OS
	. /etc/csd.conf
	/bin/cp /usr/lib/crontab.local /usr/lib/crontab.local.org
	echo 33 6 * * * wwfs    $WWFSDIR/bin/expire >> /usr/lib/crontab.local
else if [ -f /usr/lib/crontab ]; then
	# for DEC Ultrix, NeXT
	. /etc/csd.conf
	/bin/cp /usr/lib/crontab.local /usr/lib/crontab.local.org
	echo 33 6 * * * wwfs    $WWFSDIR/bin/expire >> /usr/lib/crontab.local
else if [ -d /var/spool/cron/crontabs ]; then
	# for SunOS
	. /etc/csd.conf
	echo 33 6 * * * wwfs    $WWFSDIR/bin/expire >> /var/spool/cron/crontabs/wwfs
else if [ -d /usr/spool/cron/crontabs ]; then
	# for IRIX
	. /etc/csd.conf
	echo 33 6 * * * wwfs    $WWFSDIR/bin/expire >> /usr/spool/cron/crontabs/wwfs
fi
# other machines...?
